@echo off

title Video2AVI_2CH

set local

set Video2ReplayPath="C:\ReplayTV\Video2ReplayTV.bat"

set mEncoderPath="C:\ReplayTV\mencoder.exe"

rem ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
rem YOU MUST MODIFY THE LINES SET ABOVE TO MATCH THE PATHS ON YOUR OWN COMPUTER SYSTEM. 

echo -------------------------------------------------------------------------------

echo Generic Video File to AVI Converter 

echo Created by Thomas Malsbury - mailto:malsbury@gmail.com

echo Based on code by Rex Rivers - mailto:Wrecks@awes.com

echo -------------------------------------------------------------------------------

echo This batch file will convert most any digital video file to an AVI format with 

echo 2-channel audio and then hand the new file off to Wreck's Video2Replay program

echo -------------------------------------------------------------------------------

echo Drag the file you want converted to this batch and drop it here to start.

echo -------------------------------------------------------------------------------

if not exist %Video2ReplayPath% goto Video2ReplayPathNotFound

if not exist %mEncoderPath% goto mEncoderPathNotFound

if "%~1"=="" goto NothingPassed

echo.
echo Sending %~1 to mEncoder

start "Converting with mEncoder.EXE" /BelowNormal /b /wait %mEncoderPath% "%~1" -ffourcc DX50 -ovc lavc -oac pcm -lavcopts vcodec=mpeg4 -o "%~dpn1.avi"

call %Video2ReplayPath% "%~dpn1.avi"


:WeAreDone

if exist "%~dpn1.avi" del "%~dpn1.avi"

pause

endlocal

exit /b


:NothingPassed

echo -------------------------------------------------------------------------------

echo Either nothing was passed to this batch, or the filename is invalid.

echo The path to the video file you want to convert should be passed to this batch file.

echo Dragon Drops are supported.

pause

goto WeAreDone


:Video2ReplayPathNotFound

echo -------------------------------------------------------------------------------

echo Video2ReplayPath '%Video2ReplayPath%' does not exist.

echo Modify this batch file so Video2ReplayPath points to Video2ReplayTV.bat

pause

goto WeAreDone


:mEncoderPathNotFound

echo -------------------------------------------------------------------------------

echo FfmpegPath '%mEncoderPath%' does not exist.

echo Modify this batch file so mEncoderPath points to mencoder.exe

pause

goto WeAreDone


ADDITIONAL DOCUMENTATION - Turn word wrap on to make viewing easier. 

This batch file will convert most any digital video file to an AVI format with 2-channel audio and then hand the new file off to Wreck's Video2Replay program which will finalize the conversion to the 5K ReplayTV format which can be streamed via the DVArchive program.

This program is really only needed for source files that are in a Quicktime format (iPod or H.264) that have only a single (mono) audio channel. The version of ffmpeg that Video2Replay currently uses cannot transcode AAC 1-channel to mp2 2-channel. Once ffmpeg can handle mono AAC to stereo mp2 audio this extra conversion will not be required. 
